# Uses of Interface
jnr.constants.Constant

Packages that use Constant
Package
Description
jnr.constants
jnr.constants.platform
jnr.constants.platform.aix
jnr.constants.platform.darwin
jnr.constants.platform.dragonflybsd
jnr.constants.platform.fake
jnr.constants.platform.freebsd
jnr.constants.platform.freebsd.aarch64
jnr.constants.platform.linux
jnr.constants.platform.linux.aarch64
jnr.constants.platform.linux.loongarch64
jnr.constants.platform.linux.mips64el
jnr.constants.platform.linux.powerpc64
jnr.constants.platform.linux.s390x
jnr.constants.platform.openbsd
jnr.constants.platform.solaris
jnr.constants.platform.windows

## Uses of Constant in jnr.constants

Methods in jnr.constants that return Constant
Modifier and Type
Method
Description
`Constant`
ConstantSet.`getConstant(long value)`
Gets the constant for a value.
`final Constant`
ConstantSet.`getConstant(String name)`
Gets the constant for a name.
Methods in jnr.constants that return types with arguments of type Constant
Modifier and Type
Method
Description
`Iterator<Constant>`
ConstantSet.`iterator()`

## Uses of Constant in jnr.constants.platform

Classes in jnr.constants.platform that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`LastError`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.aix

Classes in jnr.constants.platform.aix that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`Errno`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`IPProto`
`enum`
`LangInfo`
`enum`
`Locale`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketLevel`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.darwin

Classes in jnr.constants.platform.darwin that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.dragonflybsd

Classes in jnr.constants.platform.dragonflybsd that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.fake

Classes in jnr.constants.platform.fake that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`LastError`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.freebsd

Classes in jnr.constants.platform.freebsd that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.freebsd.aarch64

Classes in jnr.constants.platform.freebsd.aarch64 that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux

Classes in jnr.constants.platform.linux that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux.aarch64

Classes in jnr.constants.platform.linux.aarch64 that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux.loongarch64

Classes in jnr.constants.platform.linux.loongarch64 that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux.mips64el

Classes in jnr.constants.platform.linux.mips64el that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux.powerpc64

Classes in jnr.constants.platform.linux.powerpc64 that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.linux.s390x

Classes in jnr.constants.platform.linux.s390x that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.openbsd

Classes in jnr.constants.platform.openbsd that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.solaris

Classes in jnr.constants.platform.solaris that implement Constant
Modifier and Type
Class
Description
`enum`
`Access`
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Confstr`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`Fcntl`
`enum`
`INAddr`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LangInfo`
`enum`
`Local`
`enum`
`Locale`
`enum`
`Multicast`
`enum`
`NameInfo`
`enum`
`OpenFlags`
`enum`
`Pathconf`
`enum`
`PosixFadvise`
`enum`
`PRIO`
`enum`
`ProtocolFamily`
`enum`
`RLIM`
`enum`
`RLIMIT`
`enum`
`Shutdown`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketControlMessage`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`Sysconf`
`enum`
`Syslog`
`enum`
`TCP`
`enum`
`UDP`
`enum`
`WaitFlags`

## Uses of Constant in jnr.constants.platform.windows

Classes in jnr.constants.platform.windows that implement Constant
Modifier and Type
Class
Description
`enum`
`AddressFamily`
`enum`
`AddressInfo`
`enum`
`Errno`
`enum`
`ErrnoAddressInfo`
`enum`
`INet`
`enum`
`INet6`
`enum`
`InterfaceInfo`
`enum`
`IP`
`enum`
`IPProto`
`enum`
`IPv6`
`enum`
`LastError`
`enum`
`OpenFlags`
`enum`
`ProtocolFamily`
`enum`
`Signal`
`enum`
`Sock`
`enum`
`SocketLevel`
`enum`
`SocketMessage`
`enum`
`SocketOption`
`enum`
`TCP`